/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/


#ifndef __CRDTYPETXT_H__
#define __CRDTYPETXT_H__

#include <e32base.h>

#include <mdns/cdnsresourcedata.h>
#include <mdns/dnsconstants.h>

class CRdTypeTxt :  public CDnsResourceData 
    {
public:
	IMPORT_C ~CRdTypeTxt();
	IMPORT_C static CRdTypeTxt* NewL();	
	IMPORT_C const RArray<RBuf8>& Text()const;
	IMPORT_C void AppendTextDataL(const RBuf8& aTextData);
	void ConstructL();
	IMPORT_C TUint16 Size()const;
	
private:
    CRdTypeTxt();
          
private:
	RArray<RBuf8> iTxtData;
    };

#endif //__CRDTYPETXT_H__